# Quickstart

![](https://2257279413-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-LihqQrMLN4ia7KgxAzi%2Fuploads%2Fgit-blob-029a89a3f54ad22a2419456687174a7409c3e653%2Fexcalidraw-2020316131859.png?alt=media)

<table data-card-size="large" data-view="cards"><thead><tr><th></th><th></th><th data-hidden data-card-cover data-type="image"></th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td><strong>Python Client</strong></td><td><code>tardis-dev</code> package for historical replay, CSV dataset downloads and exchange metadata.</td><td><a href="https://2257279413-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-LihqQrMLN4ia7KgxAzi%2Fuploads%2Fgit-blob-b3f28fdca0711b51cc0cb789558ec787a5b1c44a%2Fcard-python.jpeg?alt=media">card-python.jpeg</a></td><td><a href="../python-client/quickstart">quickstart</a></td></tr><tr><td><strong>Node.js Client</strong></td><td>Historical replay, real-time streaming, data normalization and order book reconstruction.</td><td><a href="https://2257279413-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-LihqQrMLN4ia7KgxAzi%2Fuploads%2Fgit-blob-bb68f3748e9d498b73af469526424a975c8bb13f%2Fcard-nodejs.jpeg?alt=media">card-nodejs.jpeg</a></td><td><a href="../node-client/quickstart">quickstart</a></td></tr><tr><td><strong>Tardis Machine</strong></td><td>Locally runnable server with HTTP and WebSocket APIs — replay and real-time streaming with built-in caching.</td><td><a href="https://2257279413-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-LihqQrMLN4ia7KgxAzi%2Fuploads%2Fgit-blob-64dc5e7413882188c6e3f3d97191cc076488675f%2Fcard-machine.jpeg?alt=media">card-machine.jpeg</a></td><td><a href="../tardis-machine/quickstart">quickstart</a></td></tr><tr><td><strong>HTTP API</strong></td><td>Raw historical market data feeds in minute-by-minute NDJSON slices in exchange-native format.</td><td><a href="https://2257279413-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-LihqQrMLN4ia7KgxAzi%2Fuploads%2Fgit-blob-5db886fca31040dd84be2a386fe669c48165c3a6%2Fcard-http.jpeg?alt=media">card-http.jpeg</a></td><td><a href="http-api-reference">http-api-reference</a></td></tr></tbody></table>

{% hint style="info" %}
**C++, Java, Rust, C#, Go and R** — use [HTTP API](https://docs.tardis.dev/api/http-api-reference) directly, connect to [tardis-machine](https://docs.tardis.dev/tardis-machine/quickstart) HTTP/WebSocket endpoints, or [download CSV datasets](https://docs.tardis.dev/downloadable-csv-files/overview). [Contact us](https://tardis.dev/#contact) if you need help with integration.
{% endhint %}

{% hint style="info" %}
See [downloadable CSV files docs](https://docs.tardis.dev/downloadable-csv-files/overview) if you'd like to access historical CSV datasets with normalized data.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tardis.dev/api/quickstart.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
